// Copyright 2023 Georges Racinet <georges.racinet@octobus.net>
//
// This software may be used and distributed according to the terms of the
// GNU General Public License version 2 or any later version.
// SPDX-License-Identifier: GPL-2.0-or-later
pub mod revision;
pub mod state;

const GITLAB_BRANCH_REF_PREFIX: &[u8] = b"refs/heads/";

// Return the full GitLab ref path of a GitLab branch
pub fn gitlab_branch_ref(name: &[u8]) -> Vec<u8> {
    let mut res = GITLAB_BRANCH_REF_PREFIX.to_vec();
    res.extend_from_slice(name);
    res
}
